import request from '@/utils/request'

export function getSupplyPage(data) {
  return request({
    url: '/base-supply-source/page',
    method: 'get',
    params: data
  })
}

export function getSupplyList(data) {
  return request({
    url: '/base-supply-source/list',
    method: 'post',
    data: data
  })
}

export function getSupplyById(data) {
  return request({
    url: '/base-supply-source/listById',
    method: 'post',
    data: data
  })
}

export function addSupply(data) {
  return request({
    url: '/base-supply-source/add',
    method: 'post',
    data: data
  })
}

export function editSupply(data) {
  return request({
    url: '/base-supply-source/edit',
    method: 'post',
    data: data
  })
}

export function delSupply(data) {
  return request({
    url: '/base-supply-source/delete',
    method: 'post',
    data: data
  })
}
